<?php if($_POST['SYLX']=='gjhdrl'){include_once(__DIR__ . '/../../api.php');exit;}?>
<!doctype html>
<html lang="CN_CH">
<head>

<meta charset="utf-8">
<title>黄道日历</title>
<meta name="keywords" content="">
<meta name="description" content="">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="format-detection" content="telephone=no">
<meta name="applicable-device" content="pc,mobile">
<meta http-equiv="Cache-Control" content="no-transform">
<meta http-equiv="Cache-Control" content="no-siteapp">
<meta name="apple-mobile-web-app-status-bar-style" content="black">
<meta name="wap-font-scale" content="no">
<link rel="stylesheet" href="date/index.css">
<script type="text/javascript" src="date/jquery-1.10.2.min.js"></script>
<SCRIPT language="JScript" src="date/moon.js"></SCRIPT>
</head>
<body>
<h2 style='text-align:center; color:#CC0000;'>黄道日历</h2>
<article>
<section>
<div class="nav">查看<select id="SY" name="SY" onChange="changeCld()">
    </select> 年 <SELECT onChange="changeCld()" name="SM" id="SM">
                     </SELECT> 月&emsp;&emsp;&emsp;&emsp;<b id="YMBG"></b></div>
<ul class="week dis_flex">
<li class="flex"><font color="red">日</font></li><li class="flex">一</li><li class="flex">二</li><li class="flex">三</li><li class="flex">四</li><li class="flex">五</li><li class="flex"><font color="red">六</font></li>
</ul>
<ul class="day dis_flex">
 <li id="GD0" class="flex" onClick="mOvr(0);">
<b><font title="点击查看右侧日历注解" id="SD0"></font></b>
<br><font id="LD0"></font></li>
 <li id="GD1" class="flex" onClick="mOvr(1);">
<b><font title="点击查看右侧日历注解" id="SD1"></font></b>
<br><font id="LD1"></font></li>
 <li id="GD2" class="flex" onClick="mOvr(2);">
<b><font title="点击查看右侧日历注解" id="SD2"></font></b>
<br><font id="LD2"></font></li>
 <li id="GD3" class="flex" onClick="mOvr(3);">
<b><font title="点击查看右侧日历注解" id="SD3"></font></b>
<br><font id="LD3"></font></li>
 <li id="GD4" class="flex" onClick="mOvr(4);">
<b><font title="点击查看右侧日历注解" id="SD4"></font></b>
<br><font id="LD4"></font></li>
 <li id="GD5" class="flex" onClick="mOvr(5);">
<b><font title="点击查看右侧日历注解" id="SD5"></font></b>
<br><font id="LD5"></font></li>
 <li id="GD6" class="flex" onClick="mOvr(6);">
<b><font title="点击查看右侧日历注解" id="SD6"></font></b>
<br><font id="LD6"></font></li>
 
</ul>
 <ul class="day dis_flex">
 <li id="GD7" class="flex" onClick="mOvr(7);">
<b><font title="点击查看右侧日历注解" id="SD7"></font></b>
<br><font id="LD7"></font></li>
 <li id="GD8" class="flex" onClick="mOvr(8);">
<b><font title="点击查看右侧日历注解" id="SD8"></font></b>
<br><font id="LD8"></font></li>
 <li id="GD9" class="flex" onClick="mOvr(9);">
<b><font title="点击查看右侧日历注解" id="SD9"></font></b>
<br><font id="LD9"></font></li>
 <li id="GD10" class="flex" onClick="mOvr(10);">
<b><font title="点击查看右侧日历注解" id="SD10"></font></b>
<br><font id="LD10"></font></li>
 <li id="GD11" class="flex" onClick="mOvr(11);">
<b><font title="点击查看右侧日历注解" id="SD11"></font></b>
<br><font id="LD11"></font></li>
 <li id="GD12" class="flex" onClick="mOvr(12);">
<b><font title="点击查看右侧日历注解" id="SD12"></font></b>
<br><font id="LD12"></font></li>
 <li id="GD13" class="flex" onClick="mOvr(13);">
<b><font title="点击查看右侧日历注解" id="SD13"></font></b>
<br><font id="LD13"></font></li>
 
</ul>
 <ul class="day dis_flex">
 <li id="GD14" class="flex" onClick="mOvr(14);">
<b><font title="点击查看右侧日历注解" id="SD14"></font></b>
<br><font id="LD14"></font></li>
 <li id="GD15" class="flex" onClick="mOvr(15);">
<b><font title="点击查看右侧日历注解" id="SD15"></font></b>
<br><font id="LD15"></font></li>
 <li id="GD16" class="flex" onClick="mOvr(16);">
<b><font title="点击查看右侧日历注解" id="SD16"></font></b>
<br><font id="LD16"></font></li>
 <li id="GD17" class="flex" onClick="mOvr(17);">
<b><font title="点击查看右侧日历注解" id="SD17"></font></b>
<br><font id="LD17"></font></li>
 <li id="GD18" class="flex" onClick="mOvr(18);">
<b><font title="点击查看右侧日历注解" id="SD18"></font></b>
<br><font id="LD18"></font></li>
 <li id="GD19" class="flex" onClick="mOvr(19);">
<b><font title="点击查看右侧日历注解" id="SD19"></font></b>
<br><font id="LD19"></font></li>
 <li id="GD20" class="flex" onClick="mOvr(20);">
<b><font title="点击查看右侧日历注解" id="SD20"></font></b>
<br><font id="LD20"></font></li>
 
</ul>
 <ul class="day dis_flex">
 <li id="GD21" class="flex" onClick="mOvr(21);">
<b><font title="点击查看右侧日历注解" id="SD21"></font></b>
<br><font id="LD21"></font></li>
 <li id="GD22" class="flex" onClick="mOvr(22);">
<b><font title="点击查看右侧日历注解" id="SD22"></font></b>
<br><font id="LD22"></font></li>
 <li id="GD23" class="flex" onClick="mOvr(23);">
<b><font title="点击查看右侧日历注解" id="SD23"></font></b>
<br><font id="LD23"></font></li>
 <li id="GD24" class="flex" onClick="mOvr(24);">
<b><font title="点击查看右侧日历注解" id="SD24"></font></b>
<br><font id="LD24"></font></li>
 <li id="GD25" class="flex" onClick="mOvr(25);">
<b><font title="点击查看右侧日历注解" id="SD25"></font></b>
<br><font id="LD25"></font></li>
 <li id="GD26" class="flex" onClick="mOvr(26);">
<b><font title="点击查看右侧日历注解" id="SD26"></font></b>
<br><font id="LD26"></font></li>
 <li id="GD27" class="flex" onClick="mOvr(27);">
<b><font title="点击查看右侧日历注解" id="SD27"></font></b>
<br><font id="LD27"></font></li>
 
</ul>
 <ul class="day dis_flex">
 <li id="GD28" class="flex" onClick="mOvr(28);">
<b><font title="点击查看右侧日历注解" id="SD28"></font></b>
<br><font id="LD28"></font></li>
 <li id="GD29" class="flex" onClick="mOvr(29);">
<b><font title="点击查看右侧日历注解" id="SD29"></font></b>
<br><font id="LD29"></font></li>
 <li id="GD30" class="flex" onClick="mOvr(30);">
<b><font title="点击查看右侧日历注解" id="SD30"></font></b>
<br><font id="LD30"></font></li>
 <li id="GD31" class="flex" onClick="mOvr(31);">
<b><font title="点击查看右侧日历注解" id="SD31"></font></b>
<br><font id="LD31"></font></li>
 <li id="GD32" class="flex" onClick="mOvr(32);">
<b><font title="点击查看右侧日历注解" id="SD32"></font></b>
<br><font id="LD32"></font></li>
 <li id="GD33" class="flex" onClick="mOvr(33);">
<b><font title="点击查看右侧日历注解" id="SD33"></font></b>
<br><font id="LD33"></font></li>
 <li id="GD34" class="flex" onClick="mOvr(34);">
<b><font title="点击查看右侧日历注解" id="SD34"></font></b>
<br><font id="LD34"></font></li>
 
</ul>
 <ul class="day dis_flex">
 <li id="GD35" class="flex" onClick="mOvr(35);">
<b><font title="点击查看右侧日历注解" id="SD35"></font></b>
<br><font id="LD35"></font></li>
 <li id="GD36" class="flex" onClick="mOvr(36);">
<b><font title="点击查看右侧日历注解" id="SD36"></font></b>
<br><font id="LD36"></font></li>
 <li id="GD37" class="flex" onClick="mOvr(37);">
<b><font title="点击查看右侧日历注解" id="SD37"></font></b>
<br><font id="LD37"></font></li>
 <li id="GD38" class="flex" onClick="mOvr(38);">
<b><font title="点击查看右侧日历注解" id="SD38"></font></b>
<br><font id="LD38"></font></li>
 <li id="GD39" class="flex" onClick="mOvr(39);">
<b><font title="点击查看右侧日历注解" id="SD39"></font></b>
<br><font id="LD39"></font></li>
 <li id="GD40" class="flex" onClick="mOvr(40);">
<b><font title="点击查看右侧日历注解" id="SD40"></font></b>
<br><font id="LD40"></font></li>
 <li id="GD41" class="flex" onClick="mOvr(41);">
<b><font title="点击查看右侧日历注解" id="SD41"></font></b>
<br><font id="LD41"></font></li>
 
</ul>
 </section>
<section class="today">
<!--当日信息-->
<div id="sg2" class="intro"></div>
<!--日干禄-->
<div id="dayglustr"></div>
<div class="moon dis_flex"><span id="sg5" class="flex"></span><span id="sg" class="flex" style="padding-top:1rem"></span></div>
<div class="nowtime">现时：<SPAN id="Clock"></SPAN>(<SPAN id="tim2"></SPAN>)</div>
<div class="info">
<!--shiganzhi-->
<p>时：<small id="sg3"></small></p>
<!--nowtime flase-->
        <p id="tim"></p>
<!--jixiong 12shen-->
        <p id="sg4"></p>
</div>
<div class="dashi" id="GZ"></div>
</section>
</article>
<SCRIPT>

var snow=0;
var Today = new Date();
var td = Today.getDate();

        // 获取当前年份
        const currentYear = Today.getFullYear();

        // 获取 select 元素
        const selectElement = document.getElementById('SY');

        // 设置开始年份和结束年份
        const startYear = 1900;
        const endYear = 2100;

        // 循环生成年份选项
        for (let year = startYear; year <= endYear; year++) {
            const option = document.createElement('option');
            option.value = year;
            option.text = year;
            if (year === currentYear) {
                option.selected = true; // 选中当前年份
            }
            selectElement.appendChild(option);
        }

        const currentMonth = Today.getMonth() + 1;

        // 获取 select 元素
        const selectElemenat = document.getElementById('SM');

        // 循环生成月份选项
        for (let month = 1; month <= 12; month++) {
            const option = document.createElement('option');
            option.value = month;
            option.text = month;
            if (month === currentMonth) {
                option.selected = true; // 选中当前月份
            }
            selectElemenat.appendChild(option);
        }


$(function(){
changeCld();
})

function drawCld(SY,SM){
$.ajax({url:'',

data:{act:'days',SY:SY,SYLX:'gjhdrl',SM:SM,ismobile:true},
type:'POST',
dataType:"json",
success: function(d){
if(d.code==1){
$('#GZ').html(d.info.gz);
$('#YMBG').html(d.info.YMBG);
for(var i=0;i<42;i++){
$('#SD'+i).css('color',d.info.cl[i]);
$('#SD'+i).html(d.info.gl[i]);
$('#LD'+i).html(d.info.nl[i]);
}
mOvr(7);
}else{
alert('获取数据失败');
}
}
});
}

function mOvr(v){
var sObj=$('#SD'+ v);
var dd=parseInt(sObj.html());
if (snow == 0) {
dd = td;
snow = 1;
}
var SY=$('#SY').val();
var SM=$('#SM').val();

$.ajax({url:'',
data:{act:'info',SY:SY,SM:SM,SYLX:'gjhdrl',SD:dd,ismobile:true},
type:'POST',
dataType:"json",
success: function(d){
if(d.code==1){
$('#sg').html('');
$('#sg').html(d.info.sg);
$('#sg2').html('');
$('#sg2').html(d.info.sg2);
$('#sg3').html('');
$('#sg3').html(d.info.sg3);
$('#sg4').html('');
$('#sg4').html(d.info.sg4);
$('#sg5').html('');
$('#sg5').html(d.info.sg5);
$('#dayglustr').html('');
$('#dayglustr').html(d.info.dlu);
tick(dd);
}else{
alert('获取数据失败');
}
}
});
}
function changeCld() {
var SY=$('#SY').val();
var SM=$('#SM').val();
drawCld(SY,SM);
}
</SCRIPT>
</body>
</html><br><br><?php include_once(__DIR__ . '/../../footer.php');?>